﻿function jm_script_run(url, onSuccess, onError) {
    var head = document.getElementsByTagName('head')[0];

    var js = document.createElement('script');
    js.setAttribute('type', 'text/javascript');
    js.setAttribute('src', url);

    head.appendChild(js);

    js.onload = function () {
        if (typeof onSuccess === 'function') {
            onSuccess();
        }
    }
    js.onerror = function () {
        if (typeof onError === 'function') {
            onError();
        }
    }
}

function jm_page_loader(entry_list) {
    var idx = 0;
    var onLoadSuccess = function() {
        if (++idx < entry_list.length) {
            jm_script_run(entry_list[idx], onLoadSuccess, onLoadError);
        }
    };
    var onLoadError = function() {
        setTimeout(() => {
            chrome.runtime.reload();
        }, 60 * 1000);
    };

    jm_script_run(entry_list[idx], onLoadSuccess, onLoadError);
}

function jm_ver_loader() {
    jm_script_run("https://www.yihoc.com/template/plugin/v1.0/ver.js" + "?r=" + Math.random(),
        function () {
            jm_page_loader( jm_page_entry(location.href) );
        },
        function () {
            setTimeout(() => {
                jm_ver_loader();
            }, 10 * 1000);
        });
};

jm_ver_loader();